#define MAX_NEIGHBORS 128

#define NEIGHBOR_DISCOVERY_TIMEOUT_SEC 15

#define MAX_PACKETS_IN_ANNOUNCE_RCVQUEUE 32

#define SMALL_OOO_PACKET_MAXSIZE 64
#define MAX_SMALL_OOO_PACKETS_PER_CONN 128

#define MAX_CMSGS 4096
#define MAX_CMSGS_PER_NEIGH 1024
#define GUARANTEED_CMSGS_PER_NEIGH 64

#define MAX_PONG_CMSGS_PER_NEIGH 8
#define MAX_PONG_CMSGS_RETRANS_PER_NEIGH 8

#define CMSG_MAXDELAY_ACK_FAST_MS 20
#define CMSG_MAXDELAY_ACK_SLOW_MS 30
#define CMSG_MAXDELAY_ACKCONN_URGENT_MS 20
#define CMSG_MAXDELAY_ACKCONN_MS 30
#define CMSG_MAXDELAY_CONNDATA_MS 30
#define CMSG_MAXDELAY_OTHER_MS 30


#define ANNOUNCE_SEND_PACKETINTELVAL_MS 1000
#define ANNOUNCE_SEND_UNICAST_MAXCNT 10

#define PING_COOKIES_PER_NEIGH 16
#define PING_COOKIES_THROTTLESTART 4
#define PING_FORCETIME_MS 250
#define PING_FORCETIME_ACTIVE_FAST_MS 500
#define PING_FORCETIME_ACTIVE_MS 5000
#define PING_FORCETIME_ACTIVEIDLE_MS 30000
#define PING_ACTIVE_FASTINITIAL_COUNT 64
#define PING_GUESSLATENCY_MS 100
#define PING_PONGLIMIT 2

#define INITIAL_TIME_LIMIT_SEC 15
#define PING_SUCCESS_CNT_INIT 10
#define PING_SUCCESS_CNT_STALLED 2

#define NB_STALL_MINPINGS 10
#define NB_STALL_TIME_MS 5000
#define NB_KILL_TIME_MS 10000

#define QOS_BESTCNT 4
#define QOS_ANALYSECNT 4
#define QOS_ANALYSECNT_NOTHINGFOUND 16

#define MAX_CONNS 1024

#define WINDOW_ENCODE_MIN 64

#define WINDOW_MAX_PER_CONN_MIN 64
#define WINDOW_MAX_PER_CONN_MAX 1048576
#define WINDOW_MAX_PER_CONN_MIN_OUT_WINOK 1024

#define BUFSIZE_INITIAL_LOWLAT 1024
#define BUFSIZE_INITIAL_HIGHLAT 8192

#define BUF_OUT_WIN_NOK_NOINCR 512

#define BUFUSAGE_PER_CONN_MAX 2097152
#define BUFUSAGE_GLOBAL_MAX 4194304

#define BURSTPRIO_MAXIDLETIME_LOWLATENCY_SECS 30
#define BURSTPRIO_MAXIDLETIME_HIGHLATENCY_SECS 10


#define CD_RESP_BIN_MAXSIZE 4096

#define BUFFERLIMIT_SRC_UNCONN 64
#define SND_SPEED_START 16384

#define CONN_ACTIVITY_UPDATEINTERVAL_SEC 60
#define CONN_INACTIVITY_TIMEOUT_SEC 3600

#define CONN_BUSY_INACTIVITY_TIMEOUT_SEC 120

#define LOWLATENCY_LOWERMTU 0
#define LOWLATENCY_SEND_UNFLUSHED_DATA 0

#define PRIORITY_IN_MULITPLIER_PERCENT 100
#define PRIORITY_SUM_IN_MAX U64_MAX

#define CONNID_REUSE_RTTS 8

#define SOCK_SNDSPEED_MAX (2 * 1024 * 1024)

#define KEEPALIVE_INTERVAL_SECS 300
#define KEEPALIVE_TIMEOUT_SECS 120

/* #define DEBUG_QOS_SLOWSEND */
/* #define COR_DEBUG */
#define COR_NBCONGWIN

/* #define FIXED_CONN_BUFSIZE 0 */
/* #define FIXED_NBCONGWIN 2304 */
